package speiger.src.coreengine.platform.graphics.opengl.shader;

import org.lwjgl.opengl.GL20;

public class ShaderTracker {
	int boundShader;
	
	public void bind(ShaderInstance instance) {
		int id = instance.programId();
		if(id == boundShader) return;
		boundShader = id;
		GL20.glUseProgram(id);
	}
}
